Subject: Re: Network question.
From: Jens Yllman <[email-masked]>
To: Erik Hensema <[email-masked]>
Cc: GNUWin32 <[email-masked]>
Date: Thu, 16 Sep 1999 15:18:34 +0200

Nooop, Win NT is not needed to reboot if you just change
ipaddress/Subnetmask/defaultgatway/nameserver/hostname/domain. And if
you just change the ipadress in the regestry and reboot the control
panel->network will not show any ipadress at all. So after changing the
values some binding data or something need to be updated. But I can not
find how to do that. *sigh*

 Jens Yllman

Erik Hensema wrote:
> 
> > -----Original Message-----
> > From: Jens Yllman [mailto:[email-masked]]
> > Sent: Thursday, September 16, 1999 12:29 PM
> > To: GNUWin32
> > Subject: Network question.
> 
> >  What I would like to do is to set up IP address/default
> > gateway/DNS/...
> > from my own program. As do the 'control panel->network'. I
> > know where in
> > the regestry all the information is stored. But I don't know the last
> > step to make it active. This is probably something that everybody
> > writing device drivers know. Especially Network device drivers. I've
> > tried to read the Windows DDK part of MSDN library. But I can not find
> > anything. And when I look at NCPA.CPL, the module
> > representing 'control
> > panel->network', it uses DLL files not included in the MSDN library.
> 
> Usually, NT needs to be rebooted to activate a changed IP. Maybe this is all
> you need to do?
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
------------------------------------------------------------
Uniweb AB                            Phone:  +46 8 626 42 00
P O Box 745                          FAX:    +46 8 626 42 01
S-191 27  SOLLENTUNA
SWEDEN                               http://www.uniweb.se/

--
Want to unsubscribe from this list?
Send a message to [email-masked]